package com.zhentao.enums;

public enum ApiServerException implements BaseExceptionEnum{
    SUCCESS(1, "成功"),
    NULL_USERNAME(1,"用户名错误"),
    SUCCESS_login(1,"登录成功"),
    TOKEN_ERR(101,"token错误,请重新登录"),
    INTERRUPT(1,"操作中断"),
    REGISTERED(1,"已注册"),
    NOTE_ERROR(1,"验证码错误"),
    NULL_PASSWORD(1,"密码错误");

    ApiServerException(Integer code,String msg){
        this.code=code;
        this.msg=msg;
    }
    @Override
    public Integer getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
    private Integer code;
    private String msg;
}
